| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::same_path_mask Class Reference
API

matches if string is exactly the given mask (no wilde card expression) More...

`#include <mask.hpp>`

Inherits libdar::mask.

## Public Member Functions
| same_path_mask (const std::string &p, bool case_sensit)
| the constructor to be used by libdar external programs More...
bool | is_covered (const std::string &chemin) const
| inherited from the mask class
mask * | clone () const
| inherited from the mask class
Public Member Functions inherited from libdar::mask
virtual bool | is_covered (const path &chemin) const
| check whether the given path is covered by the mask More...
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

matches if string is exactly the given mask (no wilde card expression)

Definition at line 344 of file mask.hpp.

## Constructor & Destructor Documentation

libdar::same_path_mask::same_path_mask | ( | const std::string & | p,
|  | bool | case_sensit
| ) |  |
| inline

the constructor to be used by libdar external programs

Parameters

  [in] | p | is the path to compare with
  [in] | case_sensit | whether the mask is case sensitive or not

Definition at line 351 of file mask.hpp.

Referenced by clone().

The documentation for this class was generated from the following file:

- mask.hpp